Aprepro 5.0x

Classes | Enumerations | Functions | Variables
trmclr Namespace Reference

## Classes
struct | Attribute
struct | Background
struct | Foreground
struct | Style

## Enumerations
enum | StyleTypes { FOREGROUND, ATTRIBUTE, BACKGROUND, N_STYLE_TYPES }

## Functions
static Style | black (trmclr::Foreground::BLACK)
static Style | red (trmclr::Foreground::RED)
static Style | green (trmclr::Foreground::GREEN)
static Style | yellow (trmclr::Foreground::YELLOW)
static Style | blue (trmclr::Foreground::BLUE)
static Style | magenta (trmclr::Foreground::MAGENTA)
static Style | cyan (trmclr::Foreground::CYAN)
static Style | normal (trmclr::Attribute::DEFAULT)
std::ostream & | operator<< (std::ostream &os, const Style &style)

## Variables
static const uint32_t | STYLE_SHIFT = std::numeric_limits<uint32_t>::digits / N_STYLE_TYPES

## Enumeration Type Documentation

## ◆ StyleTypes

enum trmclr::StyleTypes

Enumerator
FOREGROUND |
ATTRIBUTE |
BACKGROUND |
N_STYLE_TYPES |

## Function Documentation

## ◆ black()

static Style trmclr::black | ( | trmclr::Foreground::BLACK |  | ) |
| static

## ◆ blue()

static Style trmclr::blue | ( | trmclr::Foreground::BLUE |  | ) |
| static

## ◆ cyan()

static Style trmclr::cyan | ( | trmclr::Foreground::CYAN |  | ) |
| static

## ◆ green()

static Style trmclr::green | ( | trmclr::Foreground::GREEN |  | ) |
| static

## ◆ magenta()

static Style trmclr::magenta | ( | trmclr::Foreground::MAGENTA |  | ) |
| static

## ◆ normal()

static Style trmclr::normal | ( | trmclr::Attribute::DEFAULT |  | ) |
| static

## ◆ operator<<()

std::ostream& trmclr::operator<< | ( | std::ostream & | os,
|  | const Style & | style
| ) |  |
| inline

## ◆ red()

static Style trmclr::red | ( | trmclr::Foreground::RED |  | ) |
| static

## ◆ yellow()

static Style trmclr::yellow | ( | trmclr::Foreground::YELLOW |  | ) |
| static

## Variable Documentation

## ◆ STYLE_SHIFT

const uint32_t trmclr::STYLE_SHIFT = std::numeric_limits<uint32_t>::digits / N_STYLE_TYPES
| static